Subject: Re: bug#65089: 30.0.50; shell-command filename completion unexpected behavior change

From: Stefan Kangas <[email-masked]>
Date: Sat, 2 Sep 2023 13:07:45 -0700

Mauro Aranda <[email-masked]> writes:

> Stefan Monnier <[email-masked]> writes:
>
>  >>> Now, with emacs -Q:
>  >>> M-!
>  >>> ls ~/bug/bar
>  >>> Put point between "/" and "b" of "bar" and type TAB
>  >>> emacs says "No match", but I expected it to offer completions,
> foo-1 and
>  >>> foo-2.
>  >>>
>  >>> That was the behavior, at least in Emacs 28. Reverting the following
>  >>> commit, returns this behavior for me:
>  >
>  > The patch below adds yet another heuristic to try and handle the
>  > current case, but really we should rework the pcomplete API so as to
>  > provide us the right info to start with.
>
> I see.  Thanks for your explanation.  In the meantime, I confirm that
> your patch fixes this use case.

Was this installed?  I only see that the bug was left open.